helmCharts:
  - name: openebs
    includeCRDs: false
    releaseName: openebs
    version: 3.10.0
    repo: https://openebs.github.io/charts
    valuesInline:
      localprovisioner:
        deviceClass:
          enabled: false
        hostpathClass:
          enabled: false
      ndmOperator:
        enabled: false
      ndm:
        enabled: false
      cstor:
        enabled: false
      mayastor:
        enabled: false

namespace: workflows

resources:
  - custom-crb.yml
  - ssd-local-sc.yml

patches:
  - patch: |-
      $patch: delete
      apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      metadata:
        name: openebs
        namespace: workflows
  - target:
      group: apps
      version: v1
      kind: Deployment
      name: openebs-localpv-provisioner
    patch: |-
      - path: /spec/template/spec/containers/0/env/1
        op: replace
        value:
          name: OPENEBS_NAMESPACE
          value: workflows
